Description

Starting with DCMTK 3.6.5, there is a new DCMTK_COMPILE_WIN32_MULTITHREADED_DLL setting that is used when building
on Windows. It allows the user to select whether the build should use the "multithreaded static" (/MT) or "multithreaded dIl" (/MD)
build model. In previous releases, this was automatically selected by CMake and was not properly user controllable.

It would be desirable to convert DCMTK_COMPILE_WIN32_MULTITHREADED_DLL to a three state variable (ON, OFF, AUTO)
where AUTO restores the pre-3.6.5 behaviour, i.e. accepts CMakes default.

Related issues:
Related to DCMTK - Feature #722: Export all (relevant) CMake options to "DCMT... Closed 2017-02-24

History

#1 - 2019-11-04 08:58 - Marco Eichelberg

- Related to Feature #722: Export all (relevant) CMake options to "DCMTKConfig.cmake", some "newer" options are still missing added

#2 - 2019-11-04 08:58 - Marco Eichelberg

We should also add a FAQ entry that explains the new behaviour.

Furthermore, DCMTK_COMPILE_WIN32_MULTITHREADED_DLL needs to be exported to DCMTKConfig.cmake.
#3 - 2020-02-25 11:22 - Marco Eichelberg

- Status changed from New to Closed

- Assignee set to Marco Eichelberg

- % Done changed from 0 to 100

Closed by commit #822221881.

#4 - 2020-05-25 13:29 - Michael Onken
- Target version deleted (3.6.6)
